Get On Demand Metric For Service Mesh Id

Get On Demand Metric For Service Mesh Id
This API returns the on demand metric data based on the last calculated values for the specified service mesh

This API returns the on demand metric data based on the last calculated values for the specified service mesh

Request
URI
GET
https://{server}/hybridity/api/interconnect/underlay/serviceMeshHealth/{serviceMeshId}
COPY
Path Parameters
string
serviceMeshId
Required

Service mesh Id for which on demand metrics is needed


Authentication
This operation uses the following authentication methods.
Responses
200

Ok

Returns serviceMeshHealth of type(s) application/json
{
    "serviceMeshId": "string",
    "uplinkMetrics": [
        {
            "timestamp": 0,
            "uplinkId": "string",
            "remoteUplinkId": "string",
            "uplinkName": "string",
            "remoteUplinkName": "string",
            "testInProgress": false,
            "measuredApplianceId": "string",
            "measuredApplianceName": "string",
            "measuredData": {
                "maxAvailableBandwidth": {
                    "value": {
                        "uploadKbps": 0,
                        "downloadKbps": 0
                    },
                    "services": [
                        {
                            "serviceType": "string",
                            "status": "string",
                            "recommendation": {
                                "noOfParallelMigrations": 0,
                                "maxDeltaTransfer": "number"
                            }
                        }
                    ]
                },
                "latency": {
                    "value": 0,
                    "services": [
                        {
                            "serviceType": "string",
                            "status": "string",
                            "recommendation": {
                                "noOfParallelMigrations": 0,
                                "maxDeltaTransfer": "number"
                            }
                        }
                    ]
                },
                "lossRate": {
                    "value": "number",
                    "services": [
                        {
                            "serviceType": "string",
                            "status": "string",
                            "recommendation": {
                                "noOfParallelMigrations": 0,
                                "maxDeltaTransfer": "number"
                            }
                        }
                    ]
                },
                "mtu": 0
            }
        }
    ],
    "services": [
        {
            "serviceType": "string",
            "status": "string",
            "recommendation": {
                "noOfParallelMigrations": 0,
                "maxDeltaTransfer": "number"
            }
        }
    ]
}
string
serviceMeshId
Optional

serviceMeshId

array of uplinkMetrics
uplinkMetrics
Optional

uplinkMetrics

array of object
services
Optional

services


401

Unauthorized

Operation doesn't return any data structure

403

Forbidden

Operation doesn't return any data structure

500

Internal Server Error

Returns errorResponse of type(s) application/json
{
    "errors": [
        {
            "code": "string",
            "message": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/hybridity/api/interconnect/underlay/serviceMeshHealth/{serviceMeshId}